<?php
define('NTLCMS', 1);
$module = 'panel';
include ('../system/start.php');
include ('../system/function.php');
include ('../system/antidos.php');
include ('../system/head.php');
################################################################################
if ($active && $_USER['admin'] == '1'){
################################################################################
switch($act){
default:
echo '<div class="title"><b>'.razd.' Админ-Панель | Менеджер рекламы</b></div>';
################################################################################
			
$k_post = DB :: run() -> querySingle("select count(`id`) from `manager`");			
 
$k_page = k_page($k_post, $onpage); 
$page = page($k_page); 
$start = $onpage * $page - $onpage;

$sql = DB :: run() -> query("select * from `manager` where `id` order by `id` desc limit ".$start.", ".$onpage);

if ($k_post == 0){
echo '<div class="post"><center><i class="fa fa-close fa-fw"></i> Реклама отсутствует!</center></div>';
} else {

while ($row = $sql -> fetch(PDO::FETCH_OBJ)){

if ($row -> mesto == '1'){
$mesto = 'Вверху сайта';
} else {
$mesto = 'Внизу сайта';
}

if ($row -> color == 'red'){
$colors = '<span style="color:red">Красный</span>';
} elseif ($row -> color == 'green'){
$colors = '<span style="color:green">Зеленый</span>';
} elseif ($row -> color == 'yellow'){
$colors = '<span style="color:yellow">Желтый</span>';
} elseif ($row -> color == 'blue'){
$colors = '<span style="color:blue">Синий</span>';
} elseif ($row -> color == 'black'){
$colors = '<span style="color:black">Черный</span>';
}

echo '<div class="menu">
<i class="fa fa-file-text-o fa-fw"></i> Название ссылки: '.checkout($row -> name).'<br/>
<i class="fa fa-paper-plane-o fa-fw"></i> Адрес ссылки: <a href="http://'.checkout($row -> url).'">'.checkout($row -> url).'</a><br/>
<i class="fa fa-arrows-v fa-fw"></i> Расположение: '.$mesto.'<br/>
<i class="fa fa-paint-brush fa-fw"></i> Цвет ссылки: '.$colors.'<br/>
<i class="fa fa-calendar fa-fw"></i> Жить до: '.date('d.m.Y/H:i', $row -> date).'<br/>
<i class="fa  fa-clock-o fa-fw"></i> Осталось: '.downcnt($row -> date).'<br/>
<i class="fa fa-remove fa-fw"></i> <a href="'.URL.'/_manager-del'.((int) $row -> id).'">Удалить рекламу</a> | 
<a href="'.URL.'/_manager-stat'.((int) $row -> id).'">Стата</a></div>';
}
if ($k_page > 1) navigation(URL.'/_manager?', $k_page, $page);
}
echo '<div class="menu"><i class="fa fa-plus-square fa-fw"></i> <a href="'.URL.'/_manager-add">Добавить рекламу</a></div>';

echo '<div class="block"><i class="fa fa-home fa-fw"></i> <a href="'.URL.'/cabinet">В кабинет</a> | <a href="'.URL.'/_control">Админ-Панель</a></div>';
break;
################################################################################
case 'add':
echo '<div class="title"><b>'.razd.' Админ-Панель | Добавить рекламу</b></div>';
			
$error = null;

if (isset($_POST['name']) && isset($_POST['url']) && isset($_POST['color']) && isset($_POST['quantity'])){

$name = isset($_POST['name']) ? filter_var($_POST['name'], FILTER_SANITIZE_STRING) : false;
$url = isset($_POST['url']) ? filter_var($_POST['url'], FILTER_SANITIZE_STRING) : false;
$mesto = isset($_POST['mesto']) ? filter_var($_POST['mesto'], FILTER_SANITIZE_NUMBER_INT) : '0';
$color = isset($_POST['color']) ? filter_var($_POST['color'], FILTER_SANITIZE_STRING) : false;
$stop = TIME + ($_POST['quantity'] * $_POST['that']);

if (empty($name)){
          $error.= 'Введите название вашей ссылки!<br/>';
} elseif (mb_strlen($name, 'UTF-8') < 5 or mb_strlen($name, 'UTF-8') > 25){
          $error.= 'Название ссылки должно содержать от 5 до 25 символов!<br/>';
} elseif (DB :: run() -> querySingle("select (`name`) from `manager` where `name` = ?", array($name))){
          $error.= 'Ссылка с таким названием уже существует!<br/>';
}

if (empty($url)){
          $error.= 'Введите ссылку!<br/>';
} elseif(preg_match('/^http:\/\/[a-zA-Z0-9\/.=?_-]+$/', $url)){
          $error.= 'Ссылку нужно вводить без http://!<br/>';
} elseif(!preg_match('#[a-zA-Zа-яА-Я0-9_-]{3,35}#i', $url)){
          $error.= 'Ссылка должна быть от 3 до 35 символов!<br/>';
}

if (empty($_POST['quantity'])){
         $error.= 'Введите срок размещения ссылки!<br/>';
}

if ($error){
echo '<div class="post"><center><i class="fa fa-close fa-fw"></i> '.$error.'</center></div>';
} else {

if (DB :: run() -> query("insert into `manager` (`date`, `mesto`, `name`, `url`, `color`) values (?, ?, ?, ?, ?)", array($stop, $mesto, $name, $url, $color))){
$_SESSION['success'] = 'Реклама успешно добавлена!';
header('Location: '.URL.'/_manager');
} else {
$_SESSION['fail'] = 'Реклама не добавлена!';
header('Location: '.URL.'/_manager');
}
}
}

echo '<div class="menu"><form action="'.URL.'/_manager-add" method="post">
* Название ссылки:<br/><input type="text" name="name" maxlength="50"/><br/>
* Адрес ссылки: http://<br/><input type="text" name="url" maxlength="50" size="12"/><br/>
* Где выводить:<br/><select name="mesto">
<option value="1">Вверху</option>
<option value="2">Внизу</option>
</select><br/>
* Цвет ссылки:<br/><select name="color">
<option value="red">Красный</option>
<option value="green">Зеленый</option>
<option value="yellow">Желтый</option>
<option value="blue">Синий</option>
<option value="black">Черный</option>
</select><br/>
* Cpoк размещения:<br/>
<input name="quantity" size="4" maxlength="4" type="text"/>
<select name="that" size="1">
<option value="86400">днeй</option>
<option value="604800">нeдeль</option>
<option value="2419200">мecяцeв</option>
</select><br/>
<input type="submit" value="Добавить рекламу"/>
</form></div>';

echo '<div class="block"><i class="fa fa-home fa-fw"></i> <a href="'.URL.'/cabinet">В кабинет</a> | <a href="'.URL.'/_manager">Менеджер рекламы</a> | <a href="'.URL.'/_control">Админ-Панель</a></div>';
break;
################################################################################
case 'stat':
echo '<div class="title"><b>'.razd.' Админ-Панель | Статистика</b></div>';

$id = isset($_GET['id']) ? filter_var($_GET['id'], FILTER_SANITIZE_NUMBER_INT) : '0';

$k_post = DB :: run() -> querySingle("select count(`id`) from `ads_stat` where `rid` = ?", array($id));
 
$k_page = k_page($k_post, $onpage); 
$page = page($k_page); 
$start = $onpage * $page - $onpage;

$sql = DB :: run() -> query("select * from `ads_stat` where `rid` = ? order by `id` desc limit ".$start.", ".$onpage, array($id));

if ($k_post == 0){
echo '<div class="post"><center><i class="fa fa-close fa-fw"></i> Переходов еще не было!</center></div>';
} else {
while ($row = $sql -> fetch(PDO::FETCH_OBJ)){
echo '<div class="menu">
- Время перехода: '.date('d.m.y H:i', $row -> time).'<br/> 
- IP адрес: '.checkout($row -> ip).'<br/>
- Браузер: '.checkout($row -> ua).'</div>';
}

if ($k_page > 1) navigation(URL.'/_manager-stat'.$id.'?', $k_page, $page);
}

echo '<div class="block"><i class="fa fa-home fa-fw"></i> <a href="'.URL.'/cabinet">В кабинет</a> | <a href="'.URL.'/_manager">Менеджер рекламы</a> | <a href="'.URL.'/_control">Админ-Панель</a></div>';

break;
################################################################################
case 'delete':

if (isset($_GET['id'])){

$id = isset($_GET['id']) ? filter_var($_GET['id'], FILTER_SANITIZE_NUMBER_INT) : '0';

if (DB :: run() -> querySingle("select * from `manager` where `id` = ?", array($id))){

if (DB :: run() -> query("delete from `manager` where `id` = ? limit 1", array($id))){
DB :: run() -> query("delete from `ads_stat` where `rid` = ?", array($id));
header('Location: '.URL.'/_manager');
$_SESSION['success'] = 'Реклама успешно удалена!';
} else {
header('Location: '.URL.'/_manager');
$_SESSION['fail'] = 'Реклама не удалена!';
}
} else {
header('Location: '.URL.'/_manager');
$_SESSION['fail'] = 'Действие запрещено!';
}
}

break;
################################################################################
}
} else {
echo '<div class="title"><center>Проверка прав доступа</center></div>';
echo '<div class="menu"><center><i class="fa fa-close fa-fw"></i> Доступ запрещен!</center></div>';
echo '<div class="block"><i class="fa fa-home fa-fw"></i> '.(isset($active) ? '<a href="'.URL.'/cabinet">В кабинет</a>' : '<a href="'.URL.'">На главную</a>').'</div>';
}

include ('../system/foot.php');
?>